# Method: edits.expansionfiles.patch

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.expansionfiles/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.expansionfiles/patch#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.expansionfiles/patch#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.expansionfiles/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.expansionfiles/patch#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.expansionfiles/patch#try-it)

Patches the APK's expansion file configuration to reference another APK's expansion file. To add a new expansion file use the expansionfiles.upload method.

### HTTP request

`PATCH https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/edits/{editId}/apks/{apkVersionCode}/expansionFiles/{expansionFileType}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `editId` | `string` Identifier of the edit. |
| `apkVersionCode` | `integer` The version code of the APK whose expansion file configuration is being read or modified. |
| `expansionFileType` | ``enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/ExpansionFileType`)`` The file type of the expansion file configuration which is being updated. |

### Request body

The request body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/edits.expansionfiles#ExpansionFile`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/edits.expansionfiles#ExpansionFile`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`